libosmocore 1.13.1.1-afb4 Osmocom core library

Data Fields
osmo_netdev Struct Reference
Netdev

## Data Fields
struct llist_head | entry
struct netdev_netns_ctx * | netns_ctx
char * | name
unsigned int | ifindex
char * | dev_name
char * | netns_name
void * | priv_data
bool | registered
osmo_netdev_ifupdown_ind_cb_t | ifupdown_ind_cb
osmo_netdev_dev_name_chg_cb_t | dev_name_chg_cb
osmo_netdev_mtu_chg_cb_t | mtu_chg_cb
bool | if_up
bool | if_up_known
uint32_t | if_mtu
bool | if_mtu_known

## Field Documentation

## ◆ dev_name

char* osmo_netdev::dev_name

Referenced by osmo_netdev_add_addr(), osmo_netdev_add_route(), osmo_netdev_get_dev_name(), osmo_netdev_ifupdown(), osmo_netdev_register(), and osmo_netdev_set_mtu().

## ◆ dev_name_chg_cb

osmo_netdev_dev_name_chg_cb_t osmo_netdev::dev_name_chg_cb

Referenced by osmo_netdev_set_dev_name_chg_cb().

## ◆ entry

struct llist_head osmo_netdev::entry

Referenced by osmo_netdev_alloc(), and osmo_netdev_free().

## ◆ if_mtu

uint32_t osmo_netdev::if_mtu

## ◆ if_mtu_known

bool osmo_netdev::if_mtu_known

Referenced by osmo_netdev_unregister().

## ◆ if_up

bool osmo_netdev::if_up

## ◆ if_up_known

bool osmo_netdev::if_up_known

Referenced by osmo_netdev_unregister().

## ◆ ifindex

unsigned int osmo_netdev::ifindex

Referenced by osmo_netdev_add_addr(), osmo_netdev_add_route(), osmo_netdev_get_ifindex(), osmo_netdev_ifupdown(), osmo_netdev_register(), osmo_netdev_set_ifindex(), and osmo_netdev_set_mtu().

## ◆ ifupdown_ind_cb

osmo_netdev_ifupdown_ind_cb_t osmo_netdev::ifupdown_ind_cb

Referenced by osmo_netdev_set_ifupdown_ind_cb().

## ◆ mtu_chg_cb

osmo_netdev_mtu_chg_cb_t osmo_netdev::mtu_chg_cb

Referenced by osmo_netdev_set_mtu_chg_cb().

## ◆ name

char* osmo_netdev::name

Referenced by osmo_netdev_alloc(), and osmo_netdev_get_name().

## ◆ netns_ctx

struct netdev_netns_ctx* osmo_netdev::netns_ctx

Referenced by osmo_netdev_add_addr(), osmo_netdev_add_route(), osmo_netdev_ifupdown(), osmo_netdev_register(), osmo_netdev_set_mtu(), and osmo_netdev_unregister().

## ◆ netns_name

char* osmo_netdev::netns_name

Referenced by osmo_netdev_get_netns_name(), osmo_netdev_register(), and osmo_netdev_set_netns_name().

## ◆ priv_data

void* osmo_netdev::priv_data

Referenced by osmo_netdev_get_priv_data(), and osmo_netdev_set_priv_data().

## ◆ registered

bool osmo_netdev::registered

Referenced by osmo_netdev_add_addr(), osmo_netdev_add_route(), osmo_netdev_ifupdown(), osmo_netdev_is_registered(), osmo_netdev_register(), osmo_netdev_set_ifindex(), osmo_netdev_set_mtu(), osmo_netdev_set_netns_name(), and osmo_netdev_unregister().

The documentation for this struct was generated from the following file:

- src/core/netdev.c